Package org.kapott.hbci.sepa.jaxb.pain_002_001_12

# Class OriginalGroupHeader17

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_001_12.OriginalGroupHeader17

public class OriginalGroupHeader17 extends Object

Java class for OriginalGroupHeader17 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OriginalGroupHeader17">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="OrgnlMsgId" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Max35Text"/>
             <element name="OrgnlMsgNmId" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Max35Text"/>
             <element name="OrgnlCreDtTm" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}ISODateTime" minOccurs="0"/>
             <element name="OrgnlNbOfTxs" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Max15NumericText" minOccurs="0"/>
             <element name="OrgnlCtrlSum" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}DecimalNumber" minOccurs="0"/>
             <element name="GrpSts" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}ExternalPaymentGroupStatus1Code" minOccurs="0"/>
             <element name="StsRsnInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}StatusReasonInformation12" maxOccurs="unbounded" minOccurs="0"/>
             <element name="NbOfTxsPerSts" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}NumberOfTransactionsPerStatus5" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`grpSts`
`protected List<NumberOfTransactionsPerStatus5>`
`nbOfTxsPerSts`
`protected XMLGregorianCalendar`
`orgnlCreDtTm`
`protected BigDecimal`
`orgnlCtrlSum`
`protected String`
`orgnlMsgId`
`protected String`
`orgnlMsgNmId`
`protected String`
`orgnlNbOfTxs`
`protected List<StatusReasonInformation12>`
`stsRsnInf`

## Constructor Summary

Constructors
Constructor
Description
`OriginalGroupHeader17()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getGrpSts()`
Gets the value of the grpSts property.
`List<NumberOfTransactionsPerStatus5>`
`getNbOfTxsPerSts()`
Gets the value of the nbOfTxsPerSts property.
`XMLGregorianCalendar`
`getOrgnlCreDtTm()`
Gets the value of the orgnlCreDtTm property.
`BigDecimal`
`getOrgnlCtrlSum()`
Gets the value of the orgnlCtrlSum property.
`String`
`getOrgnlMsgId()`
Gets the value of the orgnlMsgId property.
`String`
`getOrgnlMsgNmId()`
Gets the value of the orgnlMsgNmId property.
`String`
`getOrgnlNbOfTxs()`
Gets the value of the orgnlNbOfTxs property.
`List<StatusReasonInformation12>`
`getStsRsnInf()`
Gets the value of the stsRsnInf property.
`void`
`setGrpSts(String value)`
Sets the value of the grpSts property.
`void`
`setOrgnlCreDtTm(XMLGregorianCalendar value)`
Sets the value of the orgnlCreDtTm property.
`void`
`setOrgnlCtrlSum(BigDecimal value)`
Sets the value of the orgnlCtrlSum property.
`void`
`setOrgnlMsgId(String value)`
Sets the value of the orgnlMsgId property.
`void`
`setOrgnlMsgNmId(String value)`
Sets the value of the orgnlMsgNmId property.
`void`
`setOrgnlNbOfTxs(String value)`
Sets the value of the orgnlNbOfTxs property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### orgnlMsgId

protected String orgnlMsgId

### orgnlMsgNmId

protected String orgnlMsgNmId

### orgnlCreDtTm

protected XMLGregorianCalendar orgnlCreDtTm

### orgnlNbOfTxs

protected String orgnlNbOfTxs

### orgnlCtrlSum

protected BigDecimal orgnlCtrlSum

### grpSts

protected String grpSts

### stsRsnInf

protected List<StatusReasonInformation12> stsRsnInf

### nbOfTxsPerSts

protected List<NumberOfTransactionsPerStatus5> nbOfTxsPerSts

## Constructor Details

### OriginalGroupHeader17

public OriginalGroupHeader17()

## Method Details

### getOrgnlMsgId

public String getOrgnlMsgId()
Gets the value of the orgnlMsgId property.

Returns:
  possible object is `String`

### setOrgnlMsgId

public void setOrgnlMsgId(String value)
Sets the value of the orgnlMsgId property.

Parameters:
  `value` - allowed object is `String`

### getOrgnlMsgNmId

public String getOrgnlMsgNmId()
Gets the value of the orgnlMsgNmId property.

Returns:
  possible object is `String`

### setOrgnlMsgNmId

public void setOrgnlMsgNmId(String value)
Sets the value of the orgnlMsgNmId property.

Parameters:
  `value` - allowed object is `String`

### getOrgnlCreDtTm

public XMLGregorianCalendar getOrgnlCreDtTm()
Gets the value of the orgnlCreDtTm property.

Returns:
  possible object is `XMLGregorianCalendar`

### setOrgnlCreDtTm

public void setOrgnlCreDtTm(XMLGregorianCalendar value)
Sets the value of the orgnlCreDtTm property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getOrgnlNbOfTxs

public String getOrgnlNbOfTxs()
Gets the value of the orgnlNbOfTxs property.

Returns:
  possible object is `String`

### setOrgnlNbOfTxs

public void setOrgnlNbOfTxs(String value)
Sets the value of the orgnlNbOfTxs property.

Parameters:
  `value` - allowed object is `String`

### getOrgnlCtrlSum

public BigDecimal getOrgnlCtrlSum()
Gets the value of the orgnlCtrlSum property.

Returns:
  possible object is `BigDecimal`

### setOrgnlCtrlSum

public void setOrgnlCtrlSum(BigDecimal value)
Sets the value of the orgnlCtrlSum property.

Parameters:
  `value` - allowed object is `BigDecimal`

### getGrpSts

public String getGrpSts()
Gets the value of the grpSts property.

Returns:
  possible object is `String`

### setGrpSts

public void setGrpSts(String value)
Sets the value of the grpSts property.

Parameters:
  `value` - allowed object is `String`

### getStsRsnInf

public List<StatusReasonInformation12> getStsRsnInf()
Gets the value of the stsRsnInf property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the stsRsnInf property.

For example, to add a new item, do as follows:

        getStsRsnInf().add(newItem);

Objects of the following type(s) are allowed in the list `StatusReasonInformation12`

### getNbOfTxsPerSts

public List<NumberOfTransactionsPerStatus5> getNbOfTxsPerSts()
Gets the value of the nbOfTxsPerSts property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the nbOfTxsPerSts property.

For example, to add a new item, do as follows:

        getNbOfTxsPerSts().add(newItem);

Objects of the following type(s) are allowed in the list `NumberOfTransactionsPerStatus5`